Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_GIOP_Message_Generator_Parser_Impl Class Reference

This class holds all the different GIOP message generators and parsers. More...

`#include <GIOP_Message_Generator_Parser_Impl.h>`

Collaboration diagram for TAO_GIOP_Message_Generator_Parser_Impl:

[legend]
List of all members.

## Static Public Methods
CORBA::Boolean | check_revision (CORBA::Octet incoming_major, CORBA::Octet incoming_minor)
| Performs a check of the revision numbers.
## Public Attributes
TAO_GIOP_Message_Generator_Parser_10 | tao_giop_10
| Version 1.0 of GIOP.
TAO_GIOP_Message_Generator_Parser_11 | tao_giop_11
| Version 1.1 of GIOP.
TAO_GIOP_Message_Generator_Parser_12 | tao_giop_12
| Version 1.2 of GIOP.

## Detailed Description

This class holds all the different GIOP message generators and parsers.

This class can be done away with if we want to use the svc.conf file to load the right GIOP protocol. But that would require some work as we need to make sure that we have the behaviours of lower versions in the higher versions.

## Member Function Documentation

ACE_INLINE CORBA::Boolean TAO_GIOP_Message_Generator_Parser_Impl::check_revision | ( | CORBA::Octet | incoming_major,
|  | CORBA::Octet | incoming_minor
| ) | `[static]`

| Performs a check of the revision numbers.

## Member Data Documentation

TAO_GIOP_Message_Generator_Parser_10 TAO_GIOP_Message_Generator_Parser_Impl::tao_giop_10

| Version 1.0 of GIOP.

TAO_GIOP_Message_Generator_Parser_11 TAO_GIOP_Message_Generator_Parser_Impl::tao_giop_11

| Version 1.1 of GIOP.

TAO_GIOP_Message_Generator_Parser_12 TAO_GIOP_Message_Generator_Parser_Impl::tao_giop_12

| Version 1.2 of GIOP.

The documentation for this class was generated from the following files:

- GIOP_Message_Generator_Parser_Impl.h
- GIOP_Message_Generator_Parser_Impl.inl